## org.apache.myfaces.config
Class ManagedBeanBuilder

    java.lang.Object
      org.apache.myfaces.config.ManagedBeanBuilder

public class ManagedBeanBuilder
extends java.lang.Object

Create and initialize managed beans

Author:
  Oliver Rossmueller (latest modification by $Author: oros $), Anton Koinov

Constructor Summary
`ManagedBeanBuilder()`

Method Summary
`java.lang.Object` `buildManagedBean(javax.faces.context.FacesContext facesContext, ManagedBean beanConfiguration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedBeanBuilder

    public ManagedBeanBuilder()

Method Detail

### buildManagedBean

    public java.lang.Object buildManagedBean(javax.faces.context.FacesContext facesContext,
                                             ManagedBean beanConfiguration)
                                      throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`